<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Using SAX Filters</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='http://java.sun.com/jstl/xml'  prefix='x' %>

      <%-- Create a filter -- an ElementFilter instance -- and
           set the name of the element that the filter filters --%>
      <jsp:useBean id='filter' class='filters.ElementFilter'>
         <c:set target='${filter}' property='elementToFilter' 
                 value='${param.filterThis}'/>
      </jsp:useBean>

      <%-- Parse the XML document with the filter --%>
      <x:parse var='document' xml='${rolodex_xml}' 
            filter='${filter}'/>

      <%-- Transform the XML document with the XSLT stylsheet --%>
      <x:transform xml='${document}' xslt='${rolodex_xsl}'>
         <x:param name='filteredColumn' 
                 value='${param.filterThis}'/>
      </x:transform>

      <%-- Import the form --%>
      <c:import url='form.jsp'/>
   </body>
</html>
