<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                  version="1.0">
   <!-- Generate HTML for the document root -->
   <xsl:template match='/'>
      <table border='1'>
         <tr>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Company</th>
            <th>Email</th>
            <th>Work Phone</th>
            <th>Home Phone</th>
         </tr>
         <xsl:apply-templates/>
      </table>
   </xsl:template>

   <!-- Create a table row for each item and apply templates -->
   <xsl:template match='contact'>
      <tr><xsl:apply-templates/></tr>
   </xsl:template>

   <!-- Create table data for each item and apply templates -->
   <xsl:template match='contact/*'>
      <td><xsl:apply-templates/></td>
   </xsl:template>
</xsl:stylesheet>
