<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Accessing Arrays, Lists, and Maps with the EL</title>
   </head>
   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <%-- Access the first and last names stored in the two 
           user profiles through the array, list, and map --%>
      Profiles are in request scope for <b>
       <c:out value='${profileArray[0].name.firstName}'/>
       <c:out value='${profileArray[0].name.lastName}'/></b>
      and <b>
       <c:out value='${profileList[1].name.firstName}'/>
       <c:out value='${profileMap["Cindy Smith"].name.lastName}'/>
       </b><p>

      <%-- Store the two profiles in page-scoped variables --%>
      <c:set var='jamesProfile' 
           value='${profileMap["James Wilson"]}'/>

      <c:set var='cindyProfile' 
           value='${profileList[1]}'/>

      <%-- Show address information, through the page-scoped
           variables --%>
      <c:out value='${jamesProfile.name.firstName}'/> lives at:<b>
      <c:out value='${jamesProfile.address.streetAddress}'/>
      <c:out value='${jamesProfile.address.city}'/>,
      <c:out value='${jamesProfile.address.state}'/>  
      <c:out value='${jamesProfile.address.zip}'/></b>

      <p>

      <c:out value='${cindyProfile.name.firstName}'/> lives at:<b>
      <c:out value='${cindyProfile.address.streetAddress}'/>
      <c:out value='${cindyProfile.address.city}'/>,
      <c:out value='${cindyProfile.address.state}'/>  
      <c:out value='${cindyProfile.address.zip}'/>

   </body>
</html>
