package tags;

import java.util.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

// WARNING: non-standard class
import org.apache.taglibs.standard.lang.support.ExpressionEvaluatorManager;

public class ShowMapAction extends TagSupport {
   private String mapName;
   private Map map;

   public void setMap(String mapName) {
      this.mapName = mapName;
   }
   public int doStartTag() throws JspException {
      // EL expressions must be evaluated in doStartTag()
      // and not in setter methods, because servlet containers
      // can reuse tags, and if an attribute takes a string
      // literal, the setter method might not be called every
      // time the tag is encountered.
      map = (Map)ExpressionEvaluatorManager.evaluate(
              "map",                // attribute name
              mapName,              // expression
              java.util.Map.class,  // expected type
              this,                 // this tag handler
              pageContext);         // the page context

      if(map == null)
         return SKIP_BODY;

      Iterator it = map.keySet().iterator();
      JspWriter out = pageContext.getOut();

      while(it.hasNext()) {
         Object key = it.next(), value = map.get(key);

         try {
            if(value instanceof String[]) {
               String[] strings = (String[])value;

               for(int i=0; i < strings.length; ++i) {
                  out.println(strings[i]);
               }
            }
            else {
               out.println(key + "=" + value);
            }
         }
         catch(java.io.IOException ex) {
            throw new JspException(ex);
         }
      }
      return SKIP_BODY;
   }
}
