<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Context Initialization Parameters</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <font size='5'>
         Iterating Over Context Initialization Parameters:
      </font><p>

      <%-- Loop over the JSTL initParam implicit object,
           which is a map --%>
      <c:forEach items='${initParam}' var='parameter'>
         <ul>
            <%-- Display the key of the current item, which
                 corresponds to the name of the init param --%>
            <li>Name: <c:out value='${parameter.key}'/></li>

            <%-- Display the value of the current item, which
                 corresponds to the value of the init param --%>
            <li>Value: <c:out value='${parameter.value}'/></li>
         </ul>
      </c:forEach>

      <font size='5'>
         Accessing Context Initialization Parameters Directly:
      </font><p>

      Difficulty: 
      <c:out value='${initParam["com.acme.invaders.difficulty"]}'/>

      Game Levels: 
      <c:out value='${initParam["com.acme.invaders.gameLevels"]}'/>

   </body>
</html>
