<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Cookies</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <p><font size='5'>
         Iterating over Cookies:
      </font><p>

      <%-- Loop over the JSTL cookie implicit object, which is a 
           map. If there are no cookies, the <c:forEach> action
           does nothing. --%>
      <c:forEach items='${cookie}' var='mapEntry'>
         <ul>
            <%-- The mapEntry's key references the cookie name --%>
            <li>Cookie Name: <c:out value='${mapEntry.key}'/></li>

            <%-- The mapEntry's value references the Cookie
                 object, so we show the cookie's value --%>
            <li>Cookie Value: 
                <c:out value='${mapEntry.value.value}'/></li>
         </ul>
      </c:forEach>

      <p><font size='5'>
         Accessing Cookies Directly:
      </font><p>

      Cookie Objects:
      <ul>
         <li>
            User Name: <c:out value='${cookie["acme.userName"]}'/>
         </li>
         <li>
            Password:  <c:out value='${cookie["acme.password"]}'/>
         </li>
      </ul>

      Cookie Values:
      <ul>
         <li>
            User Name: 
            <c:out value='${cookie["acme.userName"].value}'/>
         </li>
         <li>
            Password:  
            <c:out value='${cookie["acme.password"].value}'/>
         </li>
      </ul>
   </body>
</html>
