<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>EL Implicit Objects</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

		<c:url var='request_headers'   value='requestHeaders.jsp'/>	
		<c:url var='request_header'    value='requestHeader.jsp'/>	
		<c:url var='init_params'       value='initParams.jsp'/>	
		<c:url var='application_scope' value='applicationScope.jsp'/>
		<c:url var='page_scope'        value='pageScope.jsp'/>
		<c:url var='request_scope'     value='requestScope.jsp'/>
		<c:url var='session_scope'     value='sessionScope.jsp'/>

		<c:url var='request_param' value='param.jsp'>
			<c:param name='name'    value='william'/>
			<c:param name='name'    value='bruster'/>
			<c:param name='address' value='121 Oak St'/>
			<c:param name='city'    value='Springfield'/>
			<c:param name='state'   value='Oregon'/>
		</c:url>

		<c:url var='param_values' value='params.jsp'>
			<c:param name='name'    value='william'/>
			<c:param name='name'    value='bruster'/>
			<c:param name='address' value='121 Oak St'/>
			<c:param name='city'    value='Springfield'/>
			<c:param name='state'   value='Oregon'/>
		</c:url>

		<c:url var='cookies' value='/cookieCreator'>
			<c:param name='cookiePage' value='/cookies.jsp'/>
		</c:url>

		<font size='5'>
			View some JSTL implicit objects:
		</font><p>

		<font size='4'>Context Initialization Parameters:</font><p>
		<a href='<c:out value="${init_params}"/>'>
			<b>initParam</b>
		</a><p>

		<font size='4'>Cookies:</font><p>
		<a href='<c:out value="${cookies}"/>'>
			<b>cookie</b>
		</a><p>

		<font size='4'>Request Headers:</font><p>
		<a href='<c:out value="${request_header}"/>'>
			<b>header</b>
		</a><p>
		<a href='<c:out value="${request_headers}"/>'>
			<b>headerValues</b>
		</a><p>

		<font size='4'>Request Parameters:</font><p>
		<a href='<c:out value="${request_param}"/>'>
			<b>param</b>
		</a><p>
		<a href='<c:out value="${param_values}"/>'>
			<b>paramValues</b>
		</a><p>

		<font size='4'>Scoped Attributes</font><p>
		<a href='<c:out value="${application_scope}"/>'>
			<b>applicationScope</b> (Application Scope Attributes)
		</a><p>
		<a href='<c:out value="${page_scope}"/>'>
			<b>pageScope</b> (Page Scope Attributes)
		</a><p>
		<a href='<c:out value="${request_scope}"/>'>
			<b>requestScope</b> (Request Scope Attributes)
		</a><p>
		<a href='<c:out value="${session_scope}"/>'>
			<b>sessionScope</b> (Session Scope Attributes)
		</a><p>
   </body>
</html>
