<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Accessing Request Parameters</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <font size='5'>
         Skillset for:
      </font>

      <%-- Access the lastName and firstName request parameters
           parameters by name --%>
      <c:out value='${param.lastName}'/>, 
      <c:out value='${param.firstName}'/>

      <%-- Show all request parameters and their values --%>
      <p><font size='5'>
         All Request Parameters:
      </font><p>

      <%-- For every String[] item of paramValues... --%>
      <c:forEach var='parameter' items='${paramValues}'> 
         <ul>
            <%-- Show the key, which is the request parameter
                 name --%>
            <li><b><c:out value='${parameter.key}'/></b>:</li>
            <%-- Iterate over the values -- a String[] -- 
                 associated with this request parameter --%>
            <c:forEach var='value' items='${parameter.value}'>
               <%-- Show the String value --%>
               <c:out value='${value}'/>   
            </c:forEach>
         </ul>
      </c:forEach>

      <%-- Show values for the  languages request parameter --%>
      <font size='5'>
         Languages:
      </font><p>

      <%-- paramValues.languages is a String [] of values for the 
           languages request parameter --%>
      <c:forEach var='language' items='${paramValues.languages}'> 
         <c:out value='${language}'/>
      </c:forEach>

      <p>

      <%-- Show the value of the param.languages map entry,
           which is the first value for the languages
           request parameter --%>
      <c:out value="${'${'}param.languages} = ${param.languages}"/>
   </body>
</html>
