<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Invoking Methods</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ page import='java.util.LinkedList' %>
      <%@ page import='beans.ListWrapper' %>

      <%
         LinkedList list = new LinkedList();
         list.add("item one");
         list.add("item two");
         list.add("item three");
         list.add("item four");
         list.add("item five");

         ListWrapper listWrapper = new ListWrapper(list);
         pageContext.setAttribute("listWrapper", listWrapper);
      %>

      The first item is 
      <b><c:out value='${listWrapper.list[0]}'/></b>

      and the last item is    
      <b>
         <c:out value='${listWrapper.list[listWrapper.size-1]}'/>
      </b>
      
      <p>

      Here are all the items in the list:

      <p>

      <ul>
         <c:forEach var='item' items='${listWrapper.list}'>
            <li><c:out value='${item}'/></li>
         </c:forEach>
      </ul>

<c:if test='counter.count == 1'>
   <%-- Do something the first time... --%>
</c:if>

<%
   java.util.HashMap map = new java.util.HashMap();
   map.put("key One", "value One");
   map.put("key Two", "value Two");
   map.put("key Three", "value Three");
   map.put("key Four", "value Four");
   map.put("key Five", "value Five");

   pageContext.setAttribute("map", map);
%>

<c:forEach var='current-item' items='${map}'>
   <c:out value='Key=${current-item.key}, Value=${current-item.value}'/>
</c:forEach>
   </body>
</html>
