<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Emulate an If/Then/Else Construct</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='http://java.sun.com/jstl/core_rt' 
              prefix='c_rt' %>

      <%-- Roll the dice --%>
      <c_rt:set var='roll'>
         <%= (int)(Math.random() * 7) %>
      </c_rt:set>

      <%-- Emulate an if/then construct --%>
      <c:choose>
         <%-- If it was a good roll --%>
         <c:when test='${roll >= 1 && roll <= 6}'>
            <img src='<c:out value="dice-${roll}.jpg"/>'>
         </c:when>

         <%-- If it was a bad roll --%>
         <c:otherwise>
            Oops, the dice rolled off the table! Try again.   
         </c:otherwise>
      </c:choose>

      <%-- Because the following form has no action, this JSP
           page will be reloaded when the form is submitted --%>
      <form>
         <input type='submit' value='Roll the dice'/>
      </form>

   </body>
</html>
