<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Retain HTML Option Values</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <%-- Because the following form has no action, this JSP
           page will be reloaded when the form is submitted --%>
      <form>
         <table>
            <tr>
               <td>First Name:</td>
               <td><input type='text' 
                       name='firstName'
                      value='<c:out value="${param.firstName}"/>'/>
               </td>
            </tr>

            <tr>
               <td>Last Name:</td>
               <td><input type='text' 
                        name='lastName'
                       value='<c:out value="${param.lastName}"/>'/>
               </td>
            </tr>

            <tr>
               <td>Enter your credit card type:</td>
               <td>
                  <%-- Create the HTML select element for 
                       credit card type --%>
                  <select name='cardType'>
                     <%-- Create option elements and select the
                          previously selected credit card type --%>
                     <option value='Visa' 
                        <c:if test='${param.cardType == "Visa"}'>
                           selected
                        </c:if>
                        >Visa</option>
                     <option value='MasterCard' 
                    <c:if test='${param.cardType == "MasterCard"}'>
                           selected
                        </c:if>
                        >MasterCard</option>
                     <option value='Discover' 
                     <c:if test='${param.cardType == "Discover"}'>
                           selected
                        </c:if>
                        >Discover</option>
                  </select>
               </td>
            </tr>
         </table>
         <p><input type='submit' value='Submit form'/>
      </form>
   </body>
</html>
