<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Iterating Over Numeric Values</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <%-- Loop over numeric values with looping attributes
           specified with request parameters --%>
      <c:catch var='exception'>
         Iterating over integer values:
         <c:forEach var='item' begin='${param.begin}'
                                 end='${param.end}'
                                step='${param.step}'>
              <c:out value='${item}'/>
         </c:forEach>
      </c:catch>

      <%-- Because this form does not have an action, this
           JSP page will be reloaded when the submit button
           is activated --%>
      <form>
         <table>
            <tr>
               <td>Begin:</td>
               <td><input type='text' size='3' 
                         value='<c:out value="${param.begin}"/>'
                          name='begin'/>
               </td>
            </tr>

            <tr>
               <td>End:
               <td><input type='text' size='3'
                         value='<c:out value="${param.end}"/>'
                          name='end'/>
               </td>
            </tr>

            <tr>
               <td>Step:
               <td><input type='text' size='3'
                         value='<c:out value="${param.step}"/>'
                          name='step'/>
               </td>
            </tr>
         </table>

         <p><input type='submit' value='Iterate Now'/>
      </form>

      <%-- Handle exceptions thrown by <c:forEach> --%>
      <c:if test='${not empty exception}'>
         <font color='red'>
            Iteration failed because<i> 
            <c:out value='${exception.message}'/></i>
         </font>
      </c:if>
   </body>
</html>
