<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Book Selection</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <font size='5'>
         Select a book:
      </font><p>

      <%-- Create URLs for each book with a page-relative path
           to show_book.jsp and a request parameter named bookUrl
           whose value represents the book's URL on Amazon.com. 
           Those URLs are stored in page-scoped variables that 
           are used to create HTML links below --%>

      <c:url var='theFutureOfSpacetime' value='show_book.jsp'>
         <c:param name='bookUrl' value='http://www.amazon.com/exec/obidos/ASIN/0393020223/ref=pd_sim_books_1/102-5303437-2118551'/>
      </c:url>

      <c:url var='whatEvolutionIs' value='show_book.jsp'>
         <c:param name='bookUrl' value='http://www.amazon.com/exec/obidos/ASIN/0465044255/ref=pd_sim_books_4/102-5303437-2118551'/>
      </c:url>

      <c:url var='goneForGood' value='show_book.jsp'>
         <c:param name='bookUrl' value='http://www.amazon.com/exec/obidos/ASIN/038533558X/ref=pd_sim_books_3/102-5303437-2118551'/>
      </c:url>

      <c:url var='tellNoOne' value='show_book.jsp'>
         <c:param name='bookUrl' value='http://www.amazon.com/exec/obidos/ASIN/0440236703/qid=1023935482/sr=8-1/ref=sr_8_1/104-6556245-7867920'/>
      </c:url>

      <%-- Create HTML links for each book using the URLs stored
           in page-scoped variables that were created above by
           <c:url> --%>

      <a href='<c:out value="${theFutureOfSpacetime}"/>'>
         The Future of Spacetime
      </a><p>

      <a href='<c:out value="${whatEvolutionIs}"/>'>
         What Evolution Is
      </a><p>

      <a href='<c:out value="${goneForGood}"/>'>
         Gone for Good
      </a><p>

      <a href='<c:out value="${tellNoOne}"/>'>
         Tell No One
      </a><p>

   </body>
</html>
