<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Book Information</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <%-- Declare the Jakarta Strings tag library --%>
      <%@ taglib uri='WEB-INF/string.tld' prefix='str'%>

      <%-- Import the page from Amazon.com using the bookUrl
           request parameter --%>
      <c:import var='book' url='${param.bookUrl}'/>

      <%-- Store today's date and time in page scope --%>
      <jsp:useBean id='now' class='java.util.Date'/>

      <table>
         <tr>
            <td>Book:</td>
            <td><i>
               <%-- Show the book title --%>
               <str:nestedString open='buying info: '
                                close='&lt;/title&gt;'>
                  <c:out value='${book}'/>
               </str:nestedString>
            </td></i>
         </tr>
         <tr>
            <td>Rank:</td>
            <td><i>
               <%-- Show the book rank --%>
               <str:nestedString open='Sales Rank: &lt;/b&gt; ' 
                                close='&lt;/span&gt;'>
                  <c:out value='${book}'/>
               </str:nestedString>
            </td></i>
         </tr>
         <tr>
            <td>Average Review:</td>
            <td><i>
               <%-- Show the average review --%>
               <str:replace replace='-' with='.'>
                  <str:nestedString open='stars-' close='.gif'>
                     <c:out value='${book}'/>
                  </str:nestedString> stars
               </str:replace>
            </td></i>
         </tr>
         <tr>
            <td>Date and Time:</td>
            <td><i>
               <c:out value='${now}'/>
            </td></i>
         </tr>
      </table>
   </body>
</html>
