package listeners;

import javax.servlet.*;
import javax.servlet.jsp.jstl.core.Config;

public class DataSourceListener implements ServletContextListener{
   public void contextInitialized(ServletContextEvent e) {
      Config.set(e.getServletContext(), Config.FMT_LOCALE, "fr");
   }
   public void contextDestroyed(ServletContextEvent e) {
      Config.remove(e.getServletContext(), Config.FMT_LOCALE);
   }
}
