<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Broken Request Decoding</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core'prefix='c'%>
      <%@ taglib uri='http://java.sun.com/jstl/fmt' prefix='fmt'%>

      <%-- Set the charset for this page's response to
           GB2312 (Chinese) --%>
      <%@ page contentType='text/html; charset=GB2312' %>

      <%-- Set the locale for <fmt:message> actions to zh 
          (Chinese) --%>
      <fmt:setLocale value='zh'/>

      <%-- Set the bundle basename for <fmt:message> actions --%>
      <fmt:setBundle basename='app'/>
      <fmt:message key='login.form.title'/><hr>

      <form action='show_parameters.jsp'>
         <table><tr>
            <td><fmt:message key='login.textfield.name'/></td>

            <td><input type='text' name='name'
                 value=
                '<fmt:message key="login.textfield.nameValue"/>'/>
            </td> 
          </tr></table>
         <br>
         <input type='submit' 
               value='<fmt:message key="login.button.submit"/>'/>
      </form>

      <%-- Show the response's charset --%>
      Response Charset: 
        <c:out value='${pageContext.response.characterEncoding}'/>
   </body>
</html>
