<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Request Decoding by Hand</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/fmt'  prefix='fmt'%>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c'  %>

      <%-- Set the charset for this page's response to
           GB2312 (Chinese) --%>
      <%@ page contentType='text/html; charset=GB2312' %>

      <%-- Set the locale for <fmt:message> actions in this
           page to zh (Chinese) --%>
      <fmt:setLocale value='zh'/>

      <%-- Set the bundle basename for <fmt:message> actions in 
           this page --%>
      <fmt:setBundle basename='app'/>

      <fmt:message key='login.form.title'/><hr>

      <form action='show_parameters.jsp'>
         <table><tr>
            <td><fmt:message key='login.textfield.name'/></td>

            <td><input type='text' name='name'
                 value=
                '<fmt:message key="login.textfield.nameValue"/>'/>
            </td> 
          </tr></table>
         <br>
         <input type='submit' 
               value='<fmt:message key="login.button.submit"/>'/>
      </form>

		<%-- Set a session parameter that the form's action 
		     (show_parameters.jsp) will use to manually set 
			  the request encoding --%>
		<c:set var='requestCharset' value='GB2312' scope='session'/>

      <%-- Show the response's charset --%>
      Response Charset: 
        <c:out value='${pageContext.response.characterEncoding}'/>
   </body>
</html>
