<html>
   <head>
      <title>Using &lt;fmt:requestEncoding&gt;</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core'prefix='c'%>
      <%@ taglib uri='http://java.sun.com/jstl/fmt' prefix='fmt'%>

      <%-- Set the charset for this page's response to
           GB2312 (Chinese) --%>
      <%@ page contentType='text/html; charset=GB2312' %>

      <%-- The <fmt:requestEncoding> action sets the incoming
           request's charset to match the response charset
           of the refering page. Since we know the charset
           is GB2312, we could have specified it with the value
           attribute, like this:

           <fmt:requestEncoding value='GB2312'/>
      --%>
      <fmt:requestEncoding/>
      <p>Name: <c:out value='${param.name}'/>

      <%-- Show the request and response charsets --%>
      <p>Request Charset: 
        <c:out value='${pageContext.request.characterEncoding}'/>
   </body>
</html>
