<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='http://java.sun.com/jstl/fmt' prefix='fmt'%>

      <%-- If a locale was specified as a request parameter,
           set_locale.jsp sets the locale for this session --%>
      <c:import url='set_locale.jsp'/>

      <fmt:setBundle basename='app' scope='session'/>

      <%-- Localize the window title --%>
      <title><fmt:message key='login.window-title'/></title>
   </head>

   <body>
      <%-- If there's no firstName request parameter ... --%>
      <c:if test='${param.firstName == null}'>
         <%-- Show the flags so the user can change locale --%>
         <c:import url='flags.jsp'/><br/>
      </c:if>

      <%-- process_validation_errors.jsp validates form fields--%>
      <c:import url='process_validation_errors.jsp'/>

      <%-- Import a JSP page that creates the login form --%>
      <c:import url='login_form.jsp'/>
   </body>
</html>
