<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <%@ taglib uri='http://java.sun.com/jstl/fmt' prefix='fmt'%>

      <%-- Specify a locale and a resource bundle base name for
           the <fmt:message> actions in this page --%>
      <fmt:setLocale value='en'/>
      <fmt:setBundle basename='messages'/>

      <%-- Use <fmt:message> to display the page title --%>
      <title><fmt:message key='page.title'/></title>
   </head>

   <body>
      <%-- Use <fmt:message> to display localized messages
           from the messages resource bundle --%>
      <font size='5'><fmt:message key='company.name'/></font>
      <p><fmt:message key='company.slogan'/></p>

      <hr>

      <fmt:bundle basename='errors'>
         <%-- <fmt:message> actions in the body of the enclosing
              <fmt:bundle> action display localized messages from
              the errors resource bundle --%>
         <b><fmt:message key='error.cantFindResource'/></b>
      </fmt:bundle>
   </body>
</html>
