<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Formatting Currencies</title>
   </head>

   <body>
      <%-- Use the UTF-8 charset for multiple languages--%>
      <%@ page contentType='text/html; charset=UTF-8' %>

      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='http://java.sun.com/jstl/fmt'  prefix='fmt'%>

      <c:set var='number' value='456789.1234'/>

      <font size='5'>
         <c:out value='Formatting this number: ${number}'/>
      </font>

      <p><table border='1'>
         <tr>
            <th><font size='5'>Country</font></th>
            <th><font size='5'>Formatted Currency</font></th>
         </tr>

         <tr><td><font size='5'>France (EURO)</font></td>
            <fmt:setLocale value='fr-FR'/>
            <td><font size='5'>
                <fmt:formatNumber value='${number}' 
                                   type='currency'
                           currencyCode='EUR'/></font></td>
         </tr> 

         <tr><td><font size='5'>France (French Franc)</font></td>
             <fmt:setLocale value='fr-FR'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}' 
                                    type='currency'
                            currencyCode='FRF'/></font></td></tr>

         <tr><td><font size='5'>Germany (EURO)</font></td>
             <fmt:setLocale value='de-DE'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}' 
                                    type='currency'
                            currencyCode='EUR'/></font></td></tr>

         <tr><td><font size='5'>Germany (Deutsche Mark)</font></td>
             <fmt:setLocale value='de-DE'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}' 
                                    type='currency'
                            currencyCode='DEM'/></font></td></tr>

         <tr><td><font size='5'>Great Britain</font></td>
             <fmt:setLocale value='en-GB'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}' 
                                   type='currency'
                           currencyCode='GBP'/></font></td></tr>

         <tr><td><font size='5'>Israel</font></td>
             <fmt:setLocale value='he-IL'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}' 
                                    type='currency'
                            currencyCode='ILS'/></font></td></tr>

         <tr><td><font size='5'>Japan</font></td>
             <fmt:setLocale value='ja-JP'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}' 
                                   type='currency'
                           currencyCode='JPY'/></font></td></tr>

         <tr><td><font size='5'>Poland</font></td>
             <fmt:setLocale value='pl-PL'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}'
                                    type='currency'
                            currencyCode='PLN'/></font></td></tr>

         <tr><td><font size='5'>United States</font></td>
             <fmt:setLocale value='en-US'/>
             <td><font size='5'>
                 <fmt:formatNumber value='${number}' 
                                   type='currency'
                           currencyCode='USD'/></font></td></tr>
      </table>
   </body>
</html>
