<html>
   <head>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c'  %>
      <%@ taglib uri='http://java.sun.com/jstl/sql'  prefix='sql'%>
      <title>Show the Orders Table</title>
   </head>

   <body>
      <%-- Make a query with an implicit data source --%>
      <sql:query var='orders'>
         SELECT * FROM Orders   
      </sql:query>

      <%-- Create a table with column names and row data --%>
      <p><table border='1'>
         <c:forEach var='columnName' items='${orders.columnNames}'>
            <th><c:out value='${columnName}'/></th>
         </c:forEach>
         
         <c:forEach var='row' items='${orders.rowsByIndex}'>
          	<tr>
					<c:forEach var='rowData' items='${row}'>
            		<td><c:out value='${rowData}'/></td>
			 		</c:forEach>
          	</tr>
         </c:forEach>
      </table>
   </body>
</html>
