package tags;

import javax.servlet.ServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import javax.servlet.jsp.jstl.sql.SQLExecutionTag;

public class NameParamTag extends TagSupport {
   public int doStartTag() throws JspException {
      Class klass = 
            javax.servlet.jsp.jstl.sql.SQLExecutionTag.class;

      SQLExecutionTag ancestor = (SQLExecutionTag)
                               findAncestorWithClass(this, klass);
      if(ancestor != null) {
         ServletRequest request = pageContext.getRequest();

         ancestor.addSQLParameter(
           request.getParameter("firstName") + " " + 
           request.getParameter("lastName"));
      }
      else {
         throw new JspException("This tag can only be in the " +
            "body of a tag that implements " + 
            "javax.servlet.jsp.jstl.sql.SQLExecutionTag");
      }
      return SKIP_BODY;
   }
}
