import java.io.IOException;
import javax.servlet.*;
import javax.servlet.http.*;

public class CookieCreatorServlet extends HttpServlet {
   public void doGet(HttpServletRequest request,
                     HttpServletResponse response)
                     throws IOException, ServletException {
      String[] cookieNames = {"acme.userName", "acme.password",
                              "acme.lastAccessDate"};
      String[] cookieValues = {"ronw", "iuo82wer", "2002-03-08"};

      // Create cookies and add them to the HTTP response
      for(int i=0; i < cookieNames.length; ++i) {
         Cookie cookie = new Cookie(cookieNames[i], 
                                    cookieValues[i]);         
         response.addCookie(cookie);
      }

      // Forward the request and  response to cookies.jsp
      RequestDispatcher rd = 
         request.getRequestDispatcher("cookies.jsp");
         rd.forward(request, response);
   }
}
