<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Access Bean Properties</title>
   </head>

   <body> 
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c'%>

      <%-- Create a color preferences bean and store it in
           page scope --%>
      <jsp:useBean id='bean' class='beans.ColorPreferences'>
         <%-- The following <jsp:setProperty> actions are 
              invoked when the bean is created, which happens
              every time this page is accessed because the bean
              resides in page scope --%>

         <%-- Set the bean's background color --%>
         <jsp:setProperty name='bean' property='background'
                         value='black'/>

         <%-- Set the bean's foreground color --%>
         <jsp:setProperty name='bean' property='foreground'
                         value='white'/>
      </jsp:useBean>

      <%-- Create a table with the background color stored
           in the bean's background property --%>
      <table align='center' border='3'
           bgcolor='<c:out value="${bean.background}"/>'>
         <tr>
            <td> 
               <%-- Create table data with the font color stored
                    in the bean's foreground property --%>
               <font size='7'
                    color='<c:out 
                           value="${pageScope.bean.foreground}"/>'>
                  JSTL
               </font>
            </td> 
         </tr> 
      </table>
   </body>
</html>
