<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Emulate a Switch Statement</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='http://java.sun.com/jstl/core_rt' 
              prefix='c_rt' %>

      <%-- Roll the dice --%>
      <c_rt:set var='roll'>
         <%= (int)(Math.random() * 7) %>
      </c_rt:set>

      <%-- Emulate a switch statement --%>
      <c:choose>
         <%-- If the roll was equal to 1 --%>
         <c:when test='${roll == 1}'>
            <img src='<c:out value="dice-${roll}.jpg"/>'>
         </c:when>

         <%-- If the roll was equal to 2 --%>
         <c:when test='${roll == 2}'>
            <img src='<c:out value="dice-${roll}.jpg"/>'>
         </c:when>

         <%-- If the roll was equal to 3 --%>
         <c:when test='${roll == 3}'>
            <img src='<c:out value="dice-${roll}.jpg"/>'>
         </c:when>

         <%-- If the roll was equal to 4 --%>
         <c:when test='${roll == 4}'>
            <img src='<c:out value="dice-${roll}.jpg"/>'>
         </c:when>

         <%-- If the roll was equal to 5 --%>
         <c:when test='${roll == 5}'>
            <img src='<c:out value="dice-${roll}.jpg"/>'>
         </c:when>

         <%-- If the roll was equal to 6 --%>
         <c:when test='${roll == 6}'>
            <img src='<c:out value="dice-${roll}.jpg"/>'>
         </c:when>

         <%-- Here, <c:otherwise> is the equivalent of a default
              in a switch statement --%>
         <c:otherwise>
            Oops, the dice rolled off the table! Try again.   
         </c:otherwise>
      </c:choose>

      <%-- Because the following form has no action, this JSP
           page will be reloaded when the form is submitted --%>
      <form>
         <input type='submit' value='Roll the dice'/>
      </form>

   </body>
</html>
