package tags;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import javax.servlet.jsp.jstl.core.LoopTag;
import javax.servlet.jsp.jstl.core.LoopTagStatus;

public class NotFirstRoundAction extends TagSupport {
   public int doStartTag() throws JspException {
      Class klass = javax.servlet.jsp.jstl.core.LoopTag.class;

      LoopTag ancestor = (LoopTag)findAncestorWithClass(
                                  this, klass);
      if(ancestor != null) {
         LoopTagStatus status = ancestor.getLoopStatus();
         if(!status.isFirst())
            return EVAL_BODY_INCLUDE;
      }
      else {
         throw new JspException("This tag can only be nested " +
            "in the body of a tag that implements " + 
            "javax.servlet.jsp.jstl.core.LoopTag");
      }
      return SKIP_BODY;
   }
}
