<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Looping Over Primitive Values</title>
   </head>

   <body>
      <%-- The taglib directive for the JSTL core actions --%>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>

      <%-- Create an array of ints and store them in request
           scope --%>
      <% int[] primitiveValues = {1,2,3,4,5,6,7,8,9,10};
         pageContext.setAttribute("primitiveValues", 
                                   primitiveValues,
                                   PageContext.REQUEST_SCOPE);
      %>

      <%-- Loop over the array and print its values using 
           a scriptlet --%>
      Looping Over Arrays of Primitive Types With a Scriptlet:<p>

      <%
         int[] values = (int[])request.getAttribute(
                                       "primitiveValues");

         for(int i=0; i < values.length; ++i) { %>
            value = <%= values[i] %><br>
      <%   }
      %>

      <p>

      <%-- Loop over the array and print its values using 
           JSTL's <c:forEach> action --%>
      Looping Over Arrays of Primitive Types with JSTL:<p>

      <c:forEach items='${primitiveValues}' var='item'>
         value = <c:out value='${item}'/><br>
      </c:forEach>
   </body>
</html>
