package tags;

import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.jstl.core.LoopTagSupport;

public class SimpleIterationAction extends LoopTagSupport {
	private int count, begin, end;

	public void setBegin(int begin) throws JspTagException {
		this.begin = begin;
	}
	public void setEnd(int end) throws JspTagException {
		this.end = end;
	}
	protected void prepare() throws JspTagException {
		count=begin;
	}
	protected Object next() throws JspTagException {
		return new Integer(count++);
	}
	protected boolean hasNext() throws JspTagException {
		return count <= end;
	}
}
