<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>
        An Iteration Custom Action that Displays Request Parameters
      </title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='WEB-INF/app-tlds/app.tld'
              prefix='core-jstl'%>

      <%-- This form does not specify an action, so this JSP
           page will be reloaded when the submit button
           is activated --%>
      <form method='post'>
         <table>
            <tr>
               <td>First Name:</td>
               <td><input type='text' name='firstName'
                      value='<c:out value="${param.firstName}"/>'/>
               </td>
            </tr>
               
            <tr>
               <td>Last Name:</td>
               <td><input type='text' name='lastName'
                       value='<c:out value="${param.lastName}"/>'/>
               </td>
            </tr>
               
            <tr>
               <td>Email Address:</td>
               <td><input type='text' name='email'
                         value='<c:out value="${param.email}"/>'/>
               </td>
            </tr>
         </table>

         <p><input type='submit' value='Log In'/>
      </form>

      <%-- If any of the fields in the form were filled in... --%>
      <c:if test='${not empty param.firstName or
                    not empty param.lastName or
                    not empty param.email}'>
         Request Parameters:<p>

         <%-- Show all request parameters with the 
              custom action --%>
         <core-jstl:requestParams var='item'>
            <c:out value='${item}'/><br>
         </core-jstl:requestParams>
      </c:if>
   </body>
</html>
