<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>
         Using &lt;c:import&gt; to Access Foreign Contexts
      </title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='http://java.sun.com/jstl/fmt'  prefix='fmt'%>

      <%-- Import a header shared among Web applications for this
           Web site --%>
      <c:import url='/WEB-INF/jsp/shared/regions/companyHeader.jsp'
            context='/core-jstl/examples/url-actions/webappOne'/>

      <%-- The form for the select element and submit button --%>
      <form>
         <table>
            <tr>
               <td>First Name:</td>
               <td><input type='text' name='first'
                         value='<c:out value="${param.first}"/>'/>
               </td>
            </tr>
            <tr>
               <td>Last Name:</td>
               <td><input type='text' name='last'
                         value='<c:out value="${param.last}"/>'/>
               </td>
            </tr>
            <tr>
               <td>Credit Card Type:</td>
               <td>
                  <c:import url='/WEB-INF/jsp/shared/components/create_html_select.jsp'
                        context='/core-jstl/examples/url-actions/webappOne'>
                     <c:param name='selectName' value='cardType'/>
                     <c:param name='items' 
                             value='Visa, Master Card, Discover'/>
                  </c:import>
               </td>
            </tr>
            <tr>
               <td>Credit Card Number:</td>
               <td><input type='text' name='cardNumber'
                     value='<c:out value="${param.cardNumber}"/>'/>
               </td>
            </tr>
            <tr>
               <td>Donation Amount:</td>
               <td>
                  <c:import url='/WEB-INF/jsp/shared/components/create_html_select.jsp'
                        context='/core-jstl/examples/url-actions/webappOne'>
                     <c:param name='selectName' value='amount'/>
                     <c:param name='items' 
                             value='10,100,1000,10000'/>

                     <c:param name='formatDisplay'
                             value='currency'/>
                  </c:import>
               </td>
            </tr>
         </table>
         <p><input type='submit'/>
      </form>

      <%-- Import a footer shared among Web applications for this
           Web site --%>
      <c:import url='/WEB-INF/jsp/shared/regions/companyFooter.jsp'
            context='/core-jstl/examples/url-actions/webappOne'/>
   </body>
</html>
