package beans;

import java.util.Vector;

// This class is immutable
public class ValidationError {
   private final String bundleBasename;
   private final Vector errorKeys;

   public ValidationError(String bundleBasename, 
                          Vector errorKeys) {
      this.errorKeys = errorKeys;
      this.bundleBasename = bundleBasename;
   }
   public Vector getErrorKeys() {
      return errorKeys;
   }
   public String getBundleBasename() {
      return bundleBasename;
   }
}
