<%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
<%@ taglib uri='http://java.sun.com/jstl/fmt' prefix='fmt'%>

<jsp:useBean id='form' scope='request' class='beans.Form'>
   <jsp:setProperty name='form' property='*'/>
</jsp:useBean>

<%-- Store the name of the page that imports this page in a 
     session attribute. That attribute is used by the validation 
     servlet. --%>
<c:set var='failurePage' 
     value='${pageContext.request.servletPath}'
     scope='session'/>

<%-- Store the successful login page in a session attribute.
     That attribute is used by the validation servlet. --%>
<c:set var='successPage' 
     value='/loginComplete.jsp' 
     scope='session'/>

<p><form action='ValidationServlet'/>
   <table><tr>
      <td><fmt:message key='login.first-name'/>:</td>
      <td><input type='text' size=15 name='firstName'
                value='<%= form.getFirstName() %>'/></td></tr><tr>
   
      <td><fmt:message key='login.last-name'/>:</td>
      <td><input type='text' size=15 name='lastName'
                value='<%= form.getLastName() %>'/></td></tr><tr> 

      <td><fmt:message key='login.email-address'/>:</td>
      <td><input type='text' size=25 name='emailAddress'
                value='<%= form.getEmailAddress() %>'/></td></tr>
   </table>
   <p><input type=submit 
	         value='<fmt:message key="login.login-button"/>'/>
</form>
