<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
   <head>
      <title>Accessing Database Queries</title>
   </head>

   <body>
      <%@ taglib uri='http://java.sun.com/jstl/core' prefix='c' %>
      <%@ taglib uri='http://java.sun.com/jstl/sql'  prefix='sql'%>

      <sql:query var='customers'>
         SELECT * FROM CUSTOMERS   
      </sql:query>

      <%-- Access the rowCount property of the query --%>
      <p>There are <c:out value='${customers.rowCount}'/> rows
       in the customer query. Here they are:</p>

      <%-- Create a table with column names and row data --%>
      <p><table border='1'>
         <tr>
            <c:forEach var='columnName' 
                     items='${customers.columnNames}'>
               <th><c:out value='${columnName}'/></th>
            </c:forEach>
         </tr>

         <c:forEach var='row' items='${customers.rowsByIndex}'>
            <tr>
               <c:forEach var='rowData' items='${row}'>
                     <td><c:out value='${rowData}'/></td>
               </c:forEach>
            </tr>
         </c:forEach>
      </table>
   </body>
</html>
